Bug 1250620 - Model refactoring: view model is missing imports after moving into or out of folder
Model refactoring: view model is missing imports after moving into or out of ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Barry LaFond
Andrej Smigala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 11:07 EDT by Andrej Smigala
Modified: 2015-11-17 13:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When the user moves a view model into a directory from the project root or vice versa, the model imports are not updated correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 13:08:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2604 Minor Closed Model refactoring: view model is missing imports after moving into or out of folder 2016-08-09 01:30 EDT

  None (edit)
Description Andrej Smigala 2015-08-05 11:07:43 EDT
When moving a view model into a folder from the project root or vice versa, the model imports are not updated correctly


Moving into folder:
1. import the attached project
2. right click ViewModel1 -> Refactor -> Move, select the views folder
3. notice Missing model import... in the problems view
4.  right-click the model, select Modeling -> Update Imports, the error goes away

Moving out of folder:
1. import the attached project
2.  right click ViewModel2 -> Refactor -> Move, select the root of the project
3.  notice Missing model import... in the problems view
4.  right-click the model, select Modeling -> Update Imports, the error goes away
Comment 2 Barry LaFond 2015-08-10 09:07:07 EDT
Push to 9.0.4 release
Comment 3 JBoss JIRA Server 2015-09-02 09:43:00 EDT
Mark Drilling <mdrilling@redhat.com> updated the status of jira TEIIDDES-2604 to Resolved
Comment 4 JBoss JIRA Server 2015-10-02 05:49:56 EDT
Matus Makovy <mmakovy@redhat.com> updated the status of jira TEIIDDES-2604 to Closed

Note You need to log in before you can comment on or make changes to this bug.